Subject: Re: bug#44743: native-comp: confirm-exit-emacs warns about active processes when compiling

From: Stefan Kangas <[email-masked]>
Date: Tue, 24 Nov 2020 08:08:15 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Cc: Andrea Corallo <[email-masked]>,  [email-masked],  [email-masked]
>> Date: Tue, 24 Nov 2020 08:52:18 +0100
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> > FWIW, I think this should be controlled by a user option.  It is not
>> > at all obvious that everyone would like compilation processes to be
>> > killed automatically, people might want to wait for them to complete.
>>
>> Since this is something that Emacs does automatically, in the
>> background, I don't think a user option sounds like something somebody
>> would want to tweak.
>
> IMO, we should offer an option precisely _because_ this is in
> background, thus the user could be unaware of the compilation being
> run.  Since compilation takes non-negligible time, I envision users
> who'd like to wait for a few moments if that gave them faster Lisp
> next time.
>
> This is not unlike background subprocesses about which we do ask on
> exit.

IIUC, it's different from other background processes.  The compilation
will resume automatically the next time that file is loaded in
subsequent invocations of Emacs.